Creates a new user

Request Information

URI Parameters :

None.

Body Parameters :

user
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

db_language_id

Foreign key of db_language

globally unique identifier
username

Username of the user, normally his email address

string

Required

Max length: 255

firstname

Firstname of the user

string

Max length: 255

lastname

Lastname of the user

string

Required

Max length: 255

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

archived

Archive the user if he is not valid anymore (user cannot be deleted)

boolean
disabled

Disable temporaly the user (cannot log on)

boolean
emergency_contact

HR : Person to contact in case of emergency (wife,husband)

string

Max length: 64

bankaccount

HR : Bank Account

string

Max length: 50

social_security

HR : Social Security Number

string

Max length: 50

place_of_birth

HR : place of birth

string

Max length: 255

nationality

HR : nationality of the user

string

Max length: 255

functions

HR : Functions of the user (Manager, Tech leader)

string

Max length: 255

birthdate

HR : Birthdate of the user

date
skype

Skype name

string

Max length: 50

notes

Internal notes/remarks

string
sales_organization_id

Main organization of the user

globally unique identifier

Optionally required : sales_organization_id, sales_organization_code or sales_organization must be provided

sales_organization

Embedded entity "sales_organization" when adding/updating user

sales_organization

Optionally required : sales_organization_id, sales_organization_code or sales_organization must be provided

sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating user

string

Optionally required : sales_organization_id, sales_organization_code or sales_organization must be provided

is_team_leader

Specify if this user can be used as a team leader

boolean
team_leader_user_id

Specify his team leader if this user is a team member

globally unique identifier
email

Email of the user

string

Required

Max length: 255

phone

Phone number of the user

string

Max length: 50

fax

Fax number of the user

string

Max length: 50

mobile

Mobile number of the user

string

Max length: 50

private_email

Private Email of the user

string

Max length: 250

private_phone

Private Phone number of the user

string

Max length: 50

private_fax

Private Fax number of the user

string

Max length: 50

private_mobile

Private Mobile number of the user

string

Max length: 50

private_street

Private Address:Street

string

Max length: 50

private_street_number

Private Address:Street Number

string

Max length: 50

private_city

Private Address:City

string

Max length: 50

private_zip

Private Address:Zip

string

Max length: 50

private_db_country_id

Private Address:Country

globally unique identifier
private_db_country_code

Private Address:CountryCode entity using international code when adding/updating user

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
allow_hero_app

Specify if this user has priviliages to hero app

boolean
allow_sales_app

Specify if this user has priviliages to salse app

boolean
allow_service_app

Specify if this user has priviliages to service app

boolean
user_group_id

Specify the user group that user belongs to

globally unique identifier

Request Formats :

application/json, text/json

Sample:
{
  "id": "9e746096-7784-4fc7-895a-f5ee52604501",
  "db_language_id": "f4bc4e6c-a6c2-4a9e-9eee-4ebc583feae4",
  "username": "sample string 3",
  "firstname": "sample string 4",
  "lastname": "sample string 5",
  "code": "sample string 6",
  "archived": true,
  "disabled": true,
  "emergency_contact": "sample string 9",
  "bankaccount": "sample string 10",
  "social_security": "sample string 11",
  "place_of_birth": "sample string 12",
  "nationality": "sample string 13",
  "functions": "sample string 14",
  "birthdate": "2026-07-28T07:33:25.9623304+00:00",
  "skype": "sample string 16",
  "notes": "sample string 17",
  "sales_organization_id": "b74c56cb-af19-4ea3-b892-3fef17ca1bb2",
  "sales_organization": {
    "id": "6f6d783f-fca6-4b57-a26c-3aee395a3fb1",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "c9a6a0ee-43d1-4a7a-b3af-ba9fbb1d4d09",
    "db_currency_id": "64524df5-8956-41db-8867-c452d27cefd7",
    "db_language_id": "aebd5e97-b4b6-4fcd-acc0-9601f7b4a6e7",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-07-28T07:33:25.9623304+00:00"
  },
  "sales_organization_code": "sample string 19",
  "is_team_leader": true,
  "team_leader_user_id": "2aa0f8a3-ce7b-4118-b608-004941217ae4",
  "email": "sample string 22",
  "phone": "sample string 23",
  "fax": "sample string 24",
  "mobile": "sample string 25",
  "private_email": "sample string 26",
  "private_phone": "sample string 27",
  "private_fax": "sample string 28",
  "private_mobile": "sample string 29",
  "private_street": "sample string 30",
  "private_street_number": "sample string 31",
  "private_city": "sample string 32",
  "private_zip": "sample string 33",
  "private_db_country_id": "a99271f6-75cd-4248-8d09-673a33f688d9",
  "private_db_country_code": "sample string 35",
  "modified_dateutc": "2026-07-28T07:33:25.9623304+00:00",
  "allow_hero_app": true,
  "allow_sales_app": true,
  "allow_service_app": true,
  "user_group_id": "20ec2f7f-d8d4-4890-aa95-85911bf1fada"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.